> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# Get incoming webhook by ID



## OpenAPI

````yaml /api-reference/membrane-api.json get /incoming-webhooks/{id}
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /incoming-webhooks/{id}:
    get:
      tags:
        - IncomingWebhooksReader
      summary: Get incoming webhook by ID
      operationId: getIncomingWebhook
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IncomingWebhookDto'
components:
  schemas:
    IncomingWebhookDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        workspaceId:
          type: string
        tenantId:
          type: string
        integrationId:
          type: string
        connectionId:
          type: string
        externalAppId:
          type: string
        subscriptionId:
          type: string
        userId:
          type: string
        uuid:
          type: string
        status:
          type: string
          enum:
            - success
            - error
        collectedEventIds:
          type: array
          items:
            type: string
        error:
          $ref: '#/components/schemas/IncomingWebhookDto__schema0'
        createdAt:
          type: string
      required:
        - id
        - workspaceId
        - tenantId
        - integrationId
        - connectionId
        - subscriptionId
        - userId
        - uuid
        - status
        - collectedEventIds
        - createdAt
    IncomingWebhookDto__schema0:
      type: object
      properties:
        type:
          type: string
          enum:
            - bad_request
            - connection
            - configuration
            - dependency_error
            - flow_run
            - flow_instance_setup
            - concurrency
            - internal
            - action_run
            - action_instance_setup
            - unit_run
            - custom_code
            - insufficient_credit
            - openrouter_not_configured
        key:
          type: string
        message:
          type: string
        data:
          type: object
        stack:
          type: object
        causedByError:
          $ref: '#/components/schemas/IncomingWebhookDto__schema0'
        logs:
          type: array
          items:
            type: object
      required:
        - message
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````